Create a beacon audit
curl --request POST \
--url https://api.alpic.ai/v1/beacon/audits \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "<string>",
"teamId": "<string>",
"projectId": "<string>",
"excludeCategories": []
}
'import requests
url = "https://api.alpic.ai/v1/beacon/audits"
payload = {
"targetUrl": "<string>",
"teamId": "<string>",
"projectId": "<string>",
"excludeCategories": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetUrl: '<string>',
teamId: '<string>',
projectId: '<string>',
excludeCategories: []
})
};
fetch('https://api.alpic.ai/v1/beacon/audits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Bad Request",
"data": "<unknown>"
}{
"defined": "<unknown>",
"code": "<unknown>",
"status": "<unknown>",
"message": "Not Found",
"data": "<unknown>"
}beacon
Create a beacon audit
Audit an MCP server for spec compliance and AI client compatibility
POST
/
v1
/
beacon
/
audits
Create a beacon audit
Authorizations
Bearer token for authentication. Use an API key from the API Keys page in team settings, or an OAuth access token.
Body
application/json
The HTTPS URL of the MCP server to audit
The team ID to associate the audit with
The project ID to associate the audit with
Check categories to exclude from the audit
Available options:
connectivity, tool-metadata, resource-metadata, performance, e2e Response
The audit has been created
Was this page helpful?
⌘I